## org.opencyc.elf.bg
Class Planner

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject
            |
            +--org.opencyc.elf.NodeComponent
                  |
                  +--org.opencyc.elf.bg.Planner

public abstract class Planner
extends NodeComponent

Provides the Planner for ELF BehaviorGeneration.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected BehaviorGeneration` `behaviorGeneration` the behavior generation instance owning this planner
`protected Goal` `commandedGoal` the commanded goal for generated behavior to achieve
`protected Executor` `executor` the executor for this planner
`protected org.opencyc.uml.core.Procedure` `procedureToExecute` the generated plan to execute

Fields inherited from class org.opencyc.elf.NodeComponent
`DEFAULT_VERBOSITY, interruptionRequest, node, pendingInterruption, verbosity`

Fields inherited from class org.opencyc.elf.ELFObject
`name`

Constructor Summary
`Planner()` Constructs a new Planner object.

Method Summary
`BehaviorGeneration` `getBehaviorGeneration()` Gets the behavior generation instance
`Goal` `getCommandedGoal()` Gets the goal for generated behavior to achieve
`Executor` `getExecutor()` Gets the executor for this planner
`org.opencyc.uml.core.Procedure` `getProcedure()` Gets the generated plan to execute
`void` `setBehaviorGeneration(BehaviorGeneration behaviorGeneration)` Sets the behavior generation instance
`void` `setCommandedGoal(Goal commandedGoal)` Sets the goal for generated behavior to achieve
`void` `setExecutor(Executor executor)` Sets the executor for this planner
`void` `setProcedure(org.opencyc.uml.core.Procedure procedureToExecute)` Sets the generated plan to execute

Methods inherited from class org.opencyc.elf.NodeComponent
`getNode, interrupt, setNode, setVerbosity`

Methods inherited from class org.opencyc.elf.ELFObject
`getName, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### commandedGoal

    protected Goal commandedGoal

  the commanded goal for generated behavior to achieve

### behaviorGeneration

    protected BehaviorGeneration behaviorGeneration

  the behavior generation instance owning this planner

### executor

    protected Executor executor

  the executor for this planner

### procedureToExecute

    protected org.opencyc.uml.core.Procedure procedureToExecute

  the generated plan to execute

Constructor Detail

### Planner

    public Planner()

  Constructs a new Planner object.

Method Detail

### getCommandedGoal

    public Goal getCommandedGoal()

  Gets the goal for generated behavior to achieve
  Returns:
    the goal for generated behavior to achieve

### setCommandedGoal

    public void setCommandedGoal(Goal commandedGoal)

  Sets the goal for generated behavior to achieve
  Parameters:
    `commandedGoal` - the goal for generated behavior to achieve

### getBehaviorGeneration

    public BehaviorGeneration getBehaviorGeneration()

  Gets the behavior generation instance
  Returns:
    the behavior generation instance

### setBehaviorGeneration

    public void setBehaviorGeneration(BehaviorGeneration behaviorGeneration)

  Sets the behavior generation instance
  Parameters:
    `behaviorGeneration` - the behavior generation instance

### getExecutor

    public Executor getExecutor()

  Gets the executor for this planner
  Returns:
    the executor for this planner

### setExecutor

    public void setExecutor(Executor executor)

  Sets the executor for this planner
  Parameters:
    `executor` - the executor for this planner

### getProcedure

    public org.opencyc.uml.core.Procedure getProcedure()

  Gets the generated plan to execute
  Returns:
    the generated plan to execute

### setProcedure

    public void setProcedure(org.opencyc.uml.core.Procedure procedureToExecute)

  Sets the generated plan to execute
  Parameters:
    `procedureToExecute` - the generated plan to execute